/*
Theme Name: Biagiotti Child
Theme URI: https://biagiotti.qodeinteractive.com
Description: A child theme of Biagiotti Theme
Author: Mikado Themes
Author URI: http://themeforest.net/user/mikado-themes
Version: 1.0.1
Text Domain: biagiotti
Template: biagiotti
*/

.woocommerce-checkout .woocommerce-terms-and-conditions-checkbox-text {
	font-size:16px;
}

.ui-menu.ui-widget.ui-widget-content{
	z-index: 9999;
}

.woocommerce-checkout.page-id-40 .mkdf-content .mkdf-content-inner > .mkdf-container > .mkdf-container-inner {
    padding: 40px 0px 70px 0px;
}

.woocommerce-checkout .mkdf-title-holder.mkdf-standard-type.mkdf-title-va-header-bottom {
	display:none;
}

.woocommerce-checkout form .woocommerce-additional-fields .form-row .input-text#order_comments {
    height: 130px;
}

.woocommerce-checkout.woocommerce-page .woocommerce .quantity .plus, 
.woocommerce-checkout.woocommerce-page .woocommerce .quantity .minus{
	cursor:pointer;
    width: 32px;
    height: 32px;

}

.woocommerce-checkout.woocommerce-page .woocommerce .quantity .plus:hover,
.woocommerce-checkout.woocommerce-page .woocommerce .quantity .minus:hover{
	background: #eeeeee;
	border-radius: 5px;
}

.woocommerce-checkout .woocommerce .quantity {
	width: 120px;
}

.woocommerce-checkout .woocommerce .quantity input.qty {
	width: 32px;
    height: 32px;
    padding: 0 0 0px 0;
    position: relative;
    -moz-appearance: textfield;
    border: solid 1px #BCC8C9;
    border-radius: 3px;
    margin: 0;
    box-sizing: border-box;
    padding: 0 0 0 10px;
}

.woocommerce a.button.add_to_cart_button{
	font-size:16px;
}

.woocommerce-checkout-review-order-table .cart_item > .product-name > .pr-name{
	width: calc(100% - 105px);
}

.woocommerce-checkout-review-order-table .cart_item > .product-name {
	display:flex;
}

.woocommerce-checkout .woocommerce .quantity input.qty::-webkit-outer-spin-button,
.woocommerce-checkout .woocommerce .quantity input.qty::-webkit-inner-spin-button {
	-webkit-appearance: none;
	margin: 0;
}

.dswcp-dropdown-cart-footer .dswcp-info{
	display:none;
}

.dswcp-buttons .dswcp-btn-cart.et_pb_button{
	display:none;
}

.woocommerce-checkout .woocommerce-additional-fields h3 {
	display:none;
}

#shipping_method li.method_econt_shipping_method{
	background: url('/wp-content/themes/biagiotti-child/econt-logo.png');
    background-repeat: no-repeat;
    background-size: 210px;
    background-position: center;
    width: 100%;
}

#shipping_method li.method_speedy_shipping_method{
	background: url('/wp-content/themes/biagiotti-child/speedy-logo.png');
    background-repeat: no-repeat;
    background-size: 210px;
    background-position: center;
    width: 100%;
}

#shipping_method li > label{
	color: transparent;
}

.woocommerce-checkout #coupon_code {
	width:auto;
}

.woocommerce-checkout #billing_country_field,
.woocommerce-checkout #billing_country {
	display:none;
}

.woocommerce-cart .shipping_method_choice {
	display:none;
}

.woocommerce-checkout .woocommerce-terms-and-conditions-wrapper > .woocommerce-privacy-policy-text{
	display:none;
}

.woocommerce-checkout .entry-title.main_title{
	display:none;
}


.woocommerce-checkout ul#shipping_method{
	min-height: 70px;
}

.woocommerce-cart #panel-cart-total > div > table > tbody > tr.cart-subtotal,
.woocommerce-cart #panel-cart-total > div > table > tbody > tr:nth-child(2) {
	display:none;
}

.woocommerce-cart-form__contents #coupon_code {
    width: unset;
    min-height: 37px;
    border-radius: 2px;
}

form .woocommerce-billing-fields .form-row .input-text, 
form .woocommerce-additional-fields .form-row .input-text {
    background-color: #f2f2f2 !important;
    height: 40px;
}

body.woocommerce-checkout h3 {
    color: #333333;
    font-weight: 600;
}

.woocommerce div.woocommerce-form-login-toggle{
	display:none;
}

#order_review::before {
	position: absolute;
	top: 10px;
	display: block;
	color: #333333;
	font-weight: 600;
	line-height: 28px;
	font-size: 22px;
	font-family: "Roboto", Arial, Helvetica, sans-serif;
}

#payment {
    background: #f2f2f2;
    border: 1px solid #e5e5e5;
}

#createaccount {
    float: unset;
}

.woocommerce-account-fields label,
.woocommerce-terms-and-conditions-wrapper label {
    padding-left: 0px;
}

.woocommerce-billing-fields label,
.woocommerce-additional-fields label,
.wc_payment_methods label {
    font-size: 15px;
    margin-right: 15px;
}

.wc_payment_methods label {
    font-weight: 600;
    color: #333333;
    font-family: "Roboto", Arial, Helvetica, sans-serif;
}

#payment hr {
    display: none;
}

#wt_loader{
	position: fixed;
    left: 50%;
    top: 50%;
    z-index: 1;
    width: 100px;
    height: 100px;
    margin: -75px 0 0 -75px;
    border: 16px solid #f3f3f3;
    border-radius: 50%;
    border-top: 16px solid #dc0032;
    width: 100px;
    height: 100px;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
}

#customer_details .col-1, 
#customer_details .col-2 {
    width: 100%;
}

.checkout.woocommerce-checkout .wtflex{
    display: flex;
    gap: 2%;
}

#order_review {
    border: 1px solid var(--sep_color);
}

#order_review,
#customer_details {
    flex-basis: 50%;
}

#order_review_heading {
    display: none;
}

#order_review {
    position: relative;
}

#econt_custom_checkout_field > h3,
#speedy_custom_checkout_field > h3 {
	display:none;
}

#shipping_method span.woocommerce-Price-amount.amount {
	display:none;
}

.checkmark {
	float: left;
    height: 35px;
    width: 35px;
    background-color: #eee;
    position: relative;
    border: solid 1px #00000059;
    margin-top: -6px;
    margin-left: -4px;
}

.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

#shipping_method input:checked ~ label .checkmark:after,
#shipping_method input[type="hidden"] ~ label .checkmark:after {
  display: block;
}

.checkmark:after{
	left: 9px;
    top: 0px;
    width: 13px;
    height: 20px;
    border: solid #403b3b;
    border-width: 0 4px 4.2px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

img.shipping_method_logo{
	width: 170px;
    float: left;
	margin-left: 70px;
}

img.speedy_shipping_method_logo{
	margin-top:-7px;
}

.shipping_method_choice ul#shipping_method li label:before {
	display:none;
}

#shipping_method > li:hover {
	background-color: #e2e2e2;
}

#shipping_method > li {
	float:left;
	width: 49%;
    border: 1px solid #e2e2e2;
    color: #111;
    background-color: #f9f9f9;
    font-size: 15px;
    font-weight: 400;
	cursor:pointer;
}

.woocommerce .woocommerce-checkout ul#shipping_method > li label {
    font-size: 20px;
    font-weight: 700;
	cursor:pointer;
	display:block;
	width:100%;
	padding: 1em 20px;
    font-family: "Roboto", Arial, Helvetica, sans-serif;
}


#shipping_method>li>input[type=radio]:first-child {
    clip: rect(1px 1px 1px 1px);
    clip: rect(1px,1px,1px,1px);
    position: absolute!important;
}

.checkout #place_order {
    float: unset;
    width: 100%;
}

#payment > ul > li.wc_payment_method.payment_method_rbbpayment > div.payment_method_rbbpayment {
	display:none!important;
}

.kleo-checkout-billing #billing_company_field,
#speedy_address_line2_field {
	display:none!important;
}

#speedy_destination_services_id_field {
    display: none!important;
}

#speedy_custom_checkout_field > p:nth-child(2) {
	display: none;
}

.woocommerce-checkout .shop_table tfoot tr:first-child td, 
.woocommerce-checkout .shop_table tfoot tr:first-child th {
    padding: 10px 0;
}

.woocommerce-checkout .shop_table td{
    text-align: left;
    padding: 10px 10px;
}

.woocommerce-checkout #payment {
	padding: 0 10px 10px 10px;
}

.wc_payment_method.payment_method_borica > div.porto-radio::after {
	content: '';
    width: 150px;
    height: 30px;
    background: url(/wp-content/themes/armsbg/cards.png);
    background-size: contain;
    position: absolute;
    background-repeat: no-repeat;
    left: 150px;
}

.woocommerce-checkout #shipping_method li {
    padding-bottom: 0;
    margin-bottom: 15px;
	list-style-type: none;
}

.woocommerce-checkout #customer_details > div.col-1 > div.woocommerce-billing-fields > h3 {
	display:none;
}

.woocommerce-checkout #speedy_address_note_field > label {
	display:none;
}

#speedy_block_no_field.form-row-last {
    padding-left: 0;
	margin-bottom: 21px;
}


@media screen and (max-width: 761px) {
    .checkout.woocommerce-checkout .wtflex{
        flex-direction: column;
        gap: 0%;
    }
	
	.woocommerce.single-product .wf_plus {
		margin-right: 10px;
	}

    #order_review,
    #customer_details {
        flex-basis: 100%;
    }

    #shipping_method > li {
        width: 100%;
    }

    #shipping_method > li:nth-child(1) {
        float: unset;
    }
	
	.woocommerce-checkout.woocommerce-page ul#shipping_method li {
		margin-left: 0;
		margin-top:10px;
		float:none;
	}
}

.menu_cta {
	background-color: #0c71c3;
	color: #fff;
	border-radius: 5px;
	padding: 0 !important;
	margin-right: 12px;
}

.menu_cta a {
	color: #fff !important;
	padding: 10px 10px 10px 10px !important;
}

.mobile_menu_bar:after {
    content: 'MENU';
    position: relative !important;
    bottom: 10px;
    left: 10%;
    color: #0c71c3;
}

body #page-container .et_pb_section .et_pb_wc_add_to_cart_0_tb_body .button.single_add_to_cart_button {
    color: #0c71c3!important;
    background-color: #ffff!important;
	border: unset;
}

/*shop page buttons style*/
.single_variation_wrap .single_add_to_cart_button, 
a.button.add_to_cart_button.product_type_variation, 
a.button.add_to_cart_button.product_type_simple {
    color: #0c71c3!important;
    background: #ffff!important;
    font-size: 14px!important;
    border: 0px!important;
    padding: 0px!important;
	margin-top: 3px!important
}
a.button.add_to_cart_button.product_type_variation{
	padding-right:50px!important;
}
li.product {
    padding: 15px!important;
    box-shadow: 0px 2px 18px 0px rgba(0,0,0,0.3);
    border-radius: 25px;
}
/*shop page product containers*/
span.et_shop_image {
    width: 85%!important;
}

/*mobile shop columns*/
@media (max-width: 767px) {
 body.et-db #et-boc .et-l .et_pb_shop ul.products.columns-1 li.product, 
 body.et-db #et-boc .et-l .et_pb_shop ul.products.columns-2 li.product, 
 body.et-db #et-boc .et-l .et_pb_shop ul.products.columns-3 li.product, 
 body.et-db #et-boc .et-l .et_pb_shop ul.products.columns-4 li.product, 
 body.et-db #et-boc .et-l .et_pb_shop ul.products.columns-5 li.product, 
 body.et-db #et-boc .et-l .et_pb_shop ul.products.columns-6 li.product, 
 body.et-db #et-boc .et-l .et_pb_wc_related_products ul.products.columns-1 li.product,  
 body.et-db #et-boc .et-l .et_pb_wc_related_products ul.products.columns-2 li.product,  
 body.et-db #et-boc .et-l .et_pb_wc_related_products ul.products.columns-3 li.product, 
 body.et-db #et-boc .et-l .et_pb_wc_related_products ul.products.columns-4 li.product, 
 body.et-db #et-boc .et-l .et_pb_wc_related_products ul.products.columns-5 li.product, 
 body.et-db #et-boc .et-l .et_pb_wc_related_products ul.products.columns-6 li.product, 
 body.et-db #et-boc .et-l .et_pb_wc_upsells ul.products.columns-1 li.product, 
 body.et-db #et-boc .et-l .et_pb_wc_upsells ul.products.columns-2 li.product, 
 body.et-db #et-boc .et-l .et_pb_wc_upsells ul.products.columns-3 li.product, 
 body.et-db #et-boc .et-l .et_pb_wc_upsells ul.products.columns-4 li.product, 
 body.et-db #et-boc .et-l .et_pb_wc_upsells ul.products.columns-5 li.product, 
 body.et-db #et-boc .et-l .et_pb_wc_upsells ul.products.columns-6 li.product {
        width: 100%!important;
        margin-right: 0%!important;
    }
}
@media all and (max-width: 767px) {
     .woocommerce-page ul.products li.product:nth-child(n) {
        margin: 0 0 11.5%!important;
        width: 100%!important;
    }
	
	body.single-product .woocommerce-variation-add-to-cart .add_to_cart_buttons{
		width: 100%;
	}
}

/*checkout*/
button#wt_apply_coupon, button#wt_apply_coupon{
	width:100%!important;
}
input#coupon_code {
    width: 100%!important;
}




rs-arrow span.mkdf-nav-text {
	display: none;
}

.mkdf-pl-controls-holder .woocommerce-result-count {
	opacity: 0 !important;
}

ul.products>.product .mkdf-pl-inner .mkdf-pl-text-inner .button {
	width: unset !important;
	background-color: transparent !important;
}
#side-area-bottom a{
	color: #867ead !important;
}
#side-area-bottom a:hover{
        color: #000000 !important;
}

.mkdf-side-menu-slide-from-right .mkdf-side-menu {
        padding: 10px 25px 10px 25px !important;
}

ul.products>li.product {
	text-align: center;
}

ul.products>li.product>a.button.product_type_simple, ul.products>li.product>a.added_to_cart {
	margin: 10px auto 0 auto !important;
  background: rgba(134, 126, 173, 1) !important;
  color: white !important;
  padding: 5px 24px !important;
  font-size: 14px !important;
  font-weight: bold !important;
  font-family: Raleway !important;
  border: none !important;
}
ul.products>li.product>a.button.product_type_simple:hover, ul.products>li.product>a.added_to_cart:hover {
  background: white !important;
  color: black !important;
}

.mkdf-woocommerce-page .woocommerce-checkout .col-2 {
  margin-left: 0 !important;
}

.mkdf-mobile-header .mkdf-mobile-nav .mkdf-grid > ul > li.mkdf-active-item > .mobile_arrow > .mkdf-sub-arrow {
	-webkit-transform: none !important;
  -ms-transform: none !important;
  transform: none !important;
}

.mkdf-mobile-header .mkdf-mobile-nav .mobile_arrow {
  right: 30%;
}
@media screen and (max-width: 480px) {
.mkdf-mobile-header .mkdf-mobile-nav .mobile_arrow {
  right: 10%;
}
}
.mkdf-mobile-header .mkdf-mobile-nav {
	height: 100vh !important;
}

@media (min-width: 768px) {
	ul.products li.product{
		display: flex !important;
		flex-direction: column !important;
		align-content: baseline;
	}
	ul.products > .product .mkdf-pl-inner{
		flex-grow: 1;
	}
	ul.products > .product .mkdf-pl-text-wrapper {
  		flex-grow: 1;
	}
	.mkdf-woo-normal-space ul.products {
		display: grid;
  		grid-template-columns: repeat(4,1fr);
  		margin: 0 !important;
  		grid-column-gap: 20px;
  		grid-row-gap: 40px;
	}
	.mkdf-woocommerce-columns-4 .cross-sells > .products > .product, .mkdf-woocommerce-columns-4 .mkdf-pl-main-holder > .products > .product, .mkdf-woocommerce-columns-4 .related.products > .products > .product, .mkdf-woocommerce-columns-4 .upsells.products > .products > .product {
    		width: unset !important;
  	}
	.mkdf-sc-dropdown .mkdf-sc-dropdown-inner {
  		width: 600px !important;
		background: #fff !important;
  		border: none !important;
  	}
	.mkdf-sc-dropdown .mkdf-sc-dropdown-item-content > *{
		color: rgba(134, 126, 173, 1) !important;
	}
	.mkdf-sc-dropdown .mkdf-sc-dropdown-item a:hover {
  		color: #000 !important;
	}
	.mkdf-sc-dropdown .mkdf-sc-dropdown-subtotal .mkdf-sc-dropdown-total, .mkdf-sc-dropdown .mkdf-sc-dropdown-subtotal .mkdf-sc-dropdown-total-amount {
		color: rgba(134, 126, 173, 1) !important;
	}
	.mkdf-sc-dropdown .mkdf-sc-dropdown-button-holder .mkdf-sc-dropdown-button {
		background: rgba(134, 126, 173, 1) !important;
	}
	.mkdf-sc-dropdown .mkdf-sc-dropdown-button-holder .mkdf-sc-dropdown-button:hover {
		background: none !important;
	}
}
ul.products > .product .mkdf-pl-text-wrapper>h4>a {
     	-webkit-box-orient: vertical;
        -webkit-line-clamp: 3;
        display: -webkit-box;
        overflow: hidden;
        line-clamp: 3;
}
ul.products > .product .mkdf-product-categories {
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 1;
        display: -webkit-box;
        overflow: hidden;
        line-clamp: 1;
}

.woocommerce-page .mkdf-content .wc-forward:not(.added_to_cart):not(.checkout-button), .woocommerce-page .mkdf-content a.added_to_cart, .woocommerce-page .mkdf-content a.button, .woocommerce-page .mkdf-content button[type="submit"]:not(.mkdf-search-submit), .woocommerce-page .mkdf-content input[type="submit"], div.woocommerce .wc-forward:not(.added_to_cart):not(.checkout-button), div.woocommerce a.added_to_cart, div.woocommerce a.button, div.woocommerce button[type="submit"]:not(.mkdf-search-submit), div.woocommerce input[type="submit"] {
  background: rgba(134, 126, 173, 1) !important;
  border: none !important;
}
.woocommerce-page .mkdf-content .wc-forward:not(.added_to_cart):not(.checkout-button):hover, .woocommerce-page .mkdf-content a.added_to_cart:hover, .woocommerce-page .mkdf-content a.button:hover, .woocommerce-page .mkdf-content button[type="submit"]:not(.mkdf-search-submit):hover, .woocommerce-page .mkdf-content input[type="submit"]:hover, div.woocommerce .wc-forward:not(.added_to_cart):not(.checkout-button):hover, div.woocommerce a.added_to_cart:hover, div.woocommerce a.button:hover, div.woocommerce button[type="submit"]:not(.mkdf-search-submit):hover, div.woocommerce input[type="submit"]:hover {
	background: rgba(0,0,0,0) !important;
}
.mkdf-woocommerce-page .woocommerce-checkout .woocommerce-checkout-payment ul li label>img{
	display: none;
}

#customer_details p, #order_review .wc_payment_methods label{
	font-weight: 400;
  font-family: Lato,sans-serif;
  font-size: 15px;
  line-height: 1.136em;
  letter-spacing: .075em;
  text-transform: uppercase;
  color: #000;
}

.qodef-addons-blog-list .qodef-blog-item {
  display: flex !important;
}
.qodef-addons-blog-list .qodef-blog-item .qodef-e-content, .qodef-addons-blog-list .qodef-blog-item .qodef-e-inner, .qodef-addons-blog-list .qodef-blog-item .qodef-e-media {
  display: flex !important;
  flex-direction: column !important;
  flex-grow: 1 !important;
}
.elementor-4780 .elementor-element.elementor-element-49fa0cc .qodef-item-layout--date-boxed .qodef-e-text {
  flex-grow: 1 !important;
}
.mkdf-sc-dropdown .mkdf-sc-dropdown-button-holder .mkdf-sc-dropdown-button.mkdf-cart, .mkdf-sc-dropdown .mkdf-sc-dropdown-button-holder .mkdf-sc-dropdown-button.mkdf-checkout {
	font-size: 12px !important;
}
#billing_econtshippingto_field span.woocommerce-input-wrapper {
	margin: 20px 0;
}

.mkdf-main-menu > ul > li > a{
	padding: 0 10px !important;
	font-size: 18px !important;
}
